﻿USE [TEST_IG]
GO
/****** Object:  Table [dbo].[Role]    Script Date: 06/28/2011 11:48:18 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Role](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_Role] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[DataType]    Script Date: 06/28/2011 11:48:18 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DataType](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[TableName] [nvarchar](50) NOT NULL,
	[KeyFields] [nvarchar](50) NULL,
	[SelectCommand] [nvarchar](max) NULL,
	[UpdateCommand] [nvarchar](max) NULL,
	[DeleteCommand] [nvarchar](max) NULL,
	[InsertCommand] [nvarchar](max) NULL,
 CONSTRAINT [PK_DataType] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[User]    Script Date: 06/28/2011 11:48:18 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[User](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[FirstName] [nvarchar](50) NULL,
	[LastName] [nvarchar](50) NULL,
	[UserName] [nvarchar](50) NOT NULL,
	[Password] [nvarchar](50) NOT NULL,
	[RoleID] [int] NOT NULL,
	[ActiveFlag] [bit] NOT NULL,
 CONSTRAINT [PK_User] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TableSchema]    Script Date: 06/28/2011 11:48:18 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TableSchema](
	[DataTypeID] [int] NOT NULL,
	[ColumnName] [nvarchar](50) NOT NULL,
	[OrdinalPosition] [int] NOT NULL,
	[DisplayColumnName] [nvarchar](50) NULL,
	[Visible] [bit] NULL,
	[ReadOnly] [bit] NULL,
	[ForeignTable] [nvarchar](50) NULL,
	[ForeignTextColumn] [nvarchar](50) NULL,
	[ForeignValueColumn] [nvarchar](50) NULL,
	[InsertParam] [bit] NULL,
	[UpdateParam] [bit] NULL,
	[DeleteParam] [bit] NULL,
	[FieldType] [nvarchar](50) NULL,
 CONSTRAINT [PK_TableSchema] PRIMARY KEY CLUSTERED 
(
	[DataTypeID] ASC,
	[ColumnName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Default [DF_TableSchema_InsertParam]    Script Date: 06/28/2011 11:48:18 ******/
ALTER TABLE [dbo].[TableSchema] ADD  CONSTRAINT [DF_TableSchema_InsertParam]  DEFAULT ((0)) FOR [InsertParam]
GO
/****** Object:  Default [DF_TableSchema_UpdateParam]    Script Date: 06/28/2011 11:48:18 ******/
ALTER TABLE [dbo].[TableSchema] ADD  CONSTRAINT [DF_TableSchema_UpdateParam]  DEFAULT ((0)) FOR [UpdateParam]
GO
/****** Object:  Default [DF_TableSchema_DeleteParam]    Script Date: 06/28/2011 11:48:18 ******/
ALTER TABLE [dbo].[TableSchema] ADD  CONSTRAINT [DF_TableSchema_DeleteParam]  DEFAULT ((0)) FOR [DeleteParam]
GO
/****** Object:  Default [DF_User_ActiveFlag]    Script Date: 06/28/2011 11:48:18 ******/
ALTER TABLE [dbo].[User] ADD  CONSTRAINT [DF_User_ActiveFlag]  DEFAULT ((1)) FOR [ActiveFlag]
GO
/****** Object:  ForeignKey [FK_TableSchema_DataType]    Script Date: 06/28/2011 11:48:18 ******/
ALTER TABLE [dbo].[TableSchema]  WITH CHECK ADD  CONSTRAINT [FK_TableSchema_DataType] FOREIGN KEY([DataTypeID])
REFERENCES [dbo].[DataType] ([ID])
GO
ALTER TABLE [dbo].[TableSchema] CHECK CONSTRAINT [FK_TableSchema_DataType]
GO
/****** Object:  ForeignKey [FK_User_Role]    Script Date: 06/28/2011 11:48:18 ******/
ALTER TABLE [dbo].[User]  WITH CHECK ADD  CONSTRAINT [FK_User_Role] FOREIGN KEY([RoleID])
REFERENCES [dbo].[Role] ([ID])
GO
ALTER TABLE [dbo].[User] CHECK CONSTRAINT [FK_User_Role]
GO
